<?php


namespace AutoAdmin\Bundle\Seo\Model;


use Doctrine\Common\Collections\ArrayCollection;

class SeoPage
{
    protected $title = null;
    protected ArrayCollection $metas;
    protected ArrayCollection $responseHeaders;
    protected $structuredData = null;
    protected $canonical = null;
    protected $alternates = null;


    public function __construct()
    {
        $this->metas = new ArrayCollection();
        $this->responseHeaders = new ArrayCollection();
    }

    public function getTitle()
    {
        return $this->title;
    }

    public function setTitle($title): void
    {
        $this->title = $title;
    }

    public function getMetas(): ArrayCollection
    {
        return $this->metas;
    }

    public function setMetas(ArrayCollection $metas): void
    {
        $this->metas = $metas;
    }

    public function addMeta(Meta $meta): void
    {
        $this->metas->add($meta);
    }

    public function removeMeta(Meta $meta): void
    {
        $this->metas->remove($this->metas->indexOf($meta));
    }

    public function getResponseHeaders(): ArrayCollection
    {
        return $this->responseHeaders;
    }

    public function setResponseHeaders($responseHeaders): void
    {
        $this->responseHeaders = $responseHeaders;
    }

    public function addResponseHeader(Header $header): void
    {
        $this->responseHeaders->add($header);
    }

    public function removeResponseHeader(Header $header): void
    {
        $this->responseHeaders->remove($this->responseHeaders->indexOf($header));
    }

    public function getStructuredData()
    {
        return $this->structuredData;
    }

    public function setStructuredData($structuredData): void
    {
        $this->structuredData = $structuredData;
    }

    public function getCanonical()
    {
        return $this->canonical;
    }

    public function setCanonical($canonical): void
    {
        $this->canonical = $canonical;
    }

    public function getAlternates()
    {
        return $this->alternates;
    }

    public function setAlternates($alternates): void
    {
        $this->alternates = $alternates;
    }
}